Bug 1153666 - (CVE-2019-14857) VUL-0: CVE-2019-14857: apache2-mod_auth_openidc: open redirect in URLs with trailing slashes
(CVE-2019-14857)
VUL-0: CVE-2019-14857: apache2-mod_auth_openidc: open redirect in URLs with t...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/244712/
CVSSv3:SUSE:CVE-2019-14857:7.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-11 06:24 UTC by Alexander Bergmann
Modified: 2020-04-24 15:48 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 3 Swamp Workflow Management 2019-10-30 13:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1153666) was mentioned in
https://build.opensuse.org/request/show/744159 Factory / apache2-mod_auth_openidc
Comment 5 Swamp Workflow Management 2019-11-08 20:11:08 UTC
SUSE-SU-2019:2935-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1153666
CVE References: CVE-2019-14857
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    apache2-mod_auth_openidc-2.4.0-3.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-08 20:13:12 UTC
SUSE-SU-2019:2934-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1153666
CVE References: CVE-2019-14857
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    apache2-mod_auth_openidc-2.3.8-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-11-13 20:17:44 UTC
openSUSE-SU-2019:2499-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1153666
CVE References: CVE-2019-14857
Sources used:
openSUSE Leap 15.1 (src):    apache2-mod_auth_openidc-2.3.8-lp151.2.3.1
Comment 8 Alexandros Toptsoglou 2020-04-24 15:48:37 UTC
Done